Corupted PGP Signature systemd-oomd-defaults

Hello, I tried to upgrade packages and I get this message:

error: systemd-oomd-defaults: signature from "Eduard Tolosa (Chaotic AUR Signing Key) <[email protected]>" is unknown trust
:: File /var/cache/pacman/pkg/systemd-oomd-defaults-249.7-1-any.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n]

Also before that I already added Eduard Tolosa's key....

So, if I say "yes" it gives another error:

error: failed to commit transaction (invalid or corrupted package)
Errors occurred, no packages were upgraded.

I'm not sure what to do exactly. Thanks

System Info:

System:
  Kernel: 5.16.3-zen1-1-zen x86_64 bits: 64 compiler: gcc v: 11.1.0
    parameters: BOOT_IMAGE=/@/boot/vmlinuz-linux-zen
    root=UUID=ce118470-4f53-49b9-b500-9ddd71f75162 rw [email protected]
    quiet splash rd.udev.log_priority=3 vt.global_cursor_default=0
    systemd.unified_cgroup_hierarchy=1 loglevel=3
  Desktop: i3 4.20.1 info: i3bar vt: 7 dm: LightDM 1.30.0
    Distro: Garuda Linux base: Arch Linux
Machine:
  Type: Desktop Mobo: Micro-Star model: B450-A PRO (MS-7B86) v: 2.0
    serial: <superuser required> UEFI: American Megatrends v: A.21
    date: 09/20/2018
CPU:
  Info: model: AMD Ryzen 5 2600 bits: 64 type: MT MCP arch: Zen+
    family: 0x17 (23) model-id: 8 stepping: 2 microcode: 0x800820D
  Topology: cpus: 1x cores: 6 tpc: 2 threads: 12 smt: enabled cache:
    L1: 576 KiB desc: d-6x32 KiB; i-6x64 KiB L2: 3 MiB desc: 6x512 KiB
    L3: 16 MiB desc: 2x8 MiB
  Speed (MHz): avg: 3093 high: 3892 min/max: 1550/3400 boost: enabled
    scaling: driver: acpi-cpufreq governor: performance cores: 1: 3818 2: 3892
    3: 2244 4: 2426 5: 2379 6: 2265 7: 3050 8: 3415 9: 2804 10: 3056 11: 3890
    12: 3884 bogomips: 81589
  Flags: avx avx2 ht lm nx pae sse sse2 sse3 sse4_1 sse4_2 sse4a ssse3 svm
  Vulnerabilities:
  Type: itlb_multihit status: Not affected
  Type: l1tf status: Not affected
  Type: mds status: Not affected
  Type: meltdown status: Not affected
  Type: spec_store_bypass
    mitigation: Speculative Store Bypass disabled via prctl
  Type: spectre_v1
    mitigation: usercopy/swapgs barriers and __user pointer sanitization
  Type: spectre_v2 mitigation: Full AMD retpoline, IBPB: conditional,
    STIBP: disabled, RSB filling
  Type: srbds status: Not affected
  Type: tsx_async_abort status: Not affected
Graphics:
  Device-1: NVIDIA GP107 [GeForce GTX 1050 Ti] vendor: Micro-Star MSI
    driver: nvidia v: 495.46 alternate: nouveau,nvidia_drm bus-ID: 1c:00.0
    chip-ID: 10de:1c82 class-ID: 0300
  Display: x11 server: X.Org 1.21.1.3 driver: loaded: nvidia
    unloaded: modesetting alternate: fbdev,nouveau,nv,vesa display-ID: :0
    screens: 1
  Screen-1: 0 s-res: 1920x1080 s-dpi: 101 s-size: 483x272mm (19.0x10.7")
    s-diag: 554mm (21.8")
  Monitor-1: HDMI-0 res: 1920x1080 hz: 60 dpi: 82
    size: 598x336mm (23.5x13.2") diag: 686mm (27")
  Message: Unable to show advanced data. Required tool glxinfo missing.
Audio:
  Device-1: NVIDIA GP107GL High Definition Audio vendor: Micro-Star MSI
    driver: snd_hda_intel v: kernel bus-ID: 1c:00.1 chip-ID: 10de:0fb9
    class-ID: 0403
  Device-2: AMD Family 17h HD Audio vendor: Micro-Star MSI
    driver: snd_hda_intel v: kernel bus-ID: 1e:00.3 chip-ID: 1022:1457
    class-ID: 0403
  Sound Server-1: ALSA v: k5.16.3-zen1-1-zen running: yes
  Sound Server-2: JACK v: 1.9.20 running: no
  Sound Server-3: PulseAudio v: 15.0 running: yes
  Sound Server-4: PipeWire v: 0.3.44 running: yes
Network:
  Device-1: Realtek RTL8111/8168/8411 PCI Express Gigabit Ethernet
    vendor: Micro-Star MSI driver: r8169 v: kernel port: f000 bus-ID: 18:00.0
    chip-ID: 10ec:8168 class-ID: 0200
  IF: enp24s0 state: up speed: 100 Mbps duplex: full mac: <filter>
  IF-ID-1: br-c38dd7569bf8 state: down mac: <filter>
  IF-ID-2: br-c473b5e2278b state: down mac: <filter>
  IF-ID-3: br-c573e5d4dcb3 state: down mac: <filter>
  IF-ID-4: docker0 state: down mac: <filter>
Drives:
  Local Storage: total: 1.59 TiB used: 117.55 GiB (7.2%)
  SMART Message: Required tool smartctl not installed. Check --recommends
  ID-1: /dev/nvme0n1 maj-min: 259:0 vendor: Kingston model: SA2000M8500G
    size: 465.76 GiB block-size: physical: 512 B logical: 512 B
    speed: 31.6 Gb/s lanes: 4 type: SSD serial: <filter> rev: S5Z42105
    temp: 33.9 C scheme: MBR
  ID-2: /dev/sda maj-min: 8:0 vendor: Samsung model: SSD 860 EVO 250GB
    size: 232.89 GiB block-size: physical: 512 B logical: 512 B speed: 6.0 Gb/s
    type: SSD serial: <filter> rev: 1B6Q scheme: GPT
  ID-3: /dev/sdb maj-min: 8:16 vendor: Western Digital
    model: WD10EZEX-08WN4A0 size: 931.51 GiB block-size: physical: 4096 B
    logical: 512 B speed: 6.0 Gb/s type: HDD rpm: 7200 serial: <filter>
    rev: 1A02 scheme: GPT
Partition:
  ID-1: / raw-size: 195.31 GiB size: 195.31 GiB (100.00%)
    used: 40.56 GiB (20.8%) fs: btrfs dev: /dev/nvme0n1p3 maj-min: 259:3
  ID-2: /boot/efi raw-size: 300 MiB size: 299.4 MiB (99.80%)
    used: 604 KiB (0.2%) fs: vfat dev: /dev/nvme0n1p1 maj-min: 259:1
  ID-3: /home raw-size: 254.16 GiB size: 254.16 GiB (100.00%)
    used: 19.09 GiB (7.5%) fs: btrfs dev: /dev/nvme0n1p4 maj-min: 259:4
  ID-4: /var/log raw-size: 195.31 GiB size: 195.31 GiB (100.00%)
    used: 40.56 GiB (20.8%) fs: btrfs dev: /dev/nvme0n1p3 maj-min: 259:3
  ID-5: /var/tmp raw-size: 195.31 GiB size: 195.31 GiB (100.00%)
    used: 40.56 GiB (20.8%) fs: btrfs dev: /dev/nvme0n1p3 maj-min: 259:3
Swap:
  Kernel: swappiness: 133 (default 60) cache-pressure: 100 (default)
  ID-1: swap-1 type: zram size: 31.36 GiB used: 2.5 MiB (0.0%)
    priority: 100 dev: /dev/zram0
Sensors:
  System Temperatures: cpu: N/A mobo: N/A gpu: nvidia temp: 30 C
  Fan Speeds (RPM): N/A gpu: nvidia fan: 35%
Info:
  Processes: 360 Uptime: 6h 41m wakeups: 0 Memory: 31.36 GiB
  used: 6.68 GiB (21.3%) Init: systemd v: 250 tool: systemctl Compilers:
  gcc: 11.1.0 Packages: 1572 pacman: 1560 lib: 337 flatpak: 6 snap: 6
  Shell: Zsh v: 5.8 running-in: alacritty inxi: 3.3.12
Garuda:
  System install date:     2021-10-07
  Last full system update: 2022-01-29
  Is partially upgraded:   Yes
  Using TLP:               No
  Windows dual boot:       Probably (Run as root to verify)
  Snapshots:               Snapper

Do you use

garuda-update

in terminal?

4 Likes

Also check

4 Likes

This topic was automatically closed 2 days after the last reply. New replies are no longer allowed.